/*
 * Class ARRAYED_LIST [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1730 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1730 [] = {0xFF01,1551,1729,860,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1730 [] = {0xFF01,1729,860,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1730 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1730 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1730 [] = {0xFF01,1729,860,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1730 [] = {0xFF01,1729,860,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1730 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1730 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1730 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1730 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1730 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1730 [] = {1729,860,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1730 [] = {0xFF01,1729,860,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1730 [] = {0xFF01,1722,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1730 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1730 [] = {0xFF01,1729,860,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1730 [] = {0xFF01,1715,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1730 [] = {0xFF01,1717,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1730 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1730 [] = {0xFF01,1715,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1730 [] = {0xFF01,1721,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1730 [] = {0xFF01,1729,860,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1730 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1730 [] = {0xFF01,603,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1730 [] = {0xFF01,1729,860,0xFFFF};


static const struct desc_info desc_1730[] = {
	{EIF_GENERIC(NULL), 14068, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1730), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1730), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1730), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14119, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1730), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1730), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1730), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1730), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1730), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1730), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1730), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1730), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1730), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1730), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1730), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8619, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8620, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8622, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1730), 8811, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1730), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9409, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1730), 14073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9259, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9083, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14112, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12100, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14105, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14078, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12103, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1730), 8804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12465, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14100, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14101, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1730), 14074, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1730), 12104, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14095, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1730), 14073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12112, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14099, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14082, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14083, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14084, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14085, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1730), 14076, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1730), 14077, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14098, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14103, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12110, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12111, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12113, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12114, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14061, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1730), 14063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12466, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14102, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14093, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14096, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9263, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14109, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12093, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14120, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14122, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14060, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1730), 10447, 0},
	{EIF_GENERIC(NULL), 10440, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10441, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1730), 10442, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1730), 10443, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10444, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10445, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10446, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1730), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9412, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9413, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9410, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14116, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14118, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1730), 11013, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1730), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12103, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12385, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14062, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1730), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14070, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14071, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1730), 14072, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1730), 14081, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14086, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14087, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14088, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14089, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14097, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14117, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14066, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1730), 14067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14078, 8},
	{EIF_GENERIC(egt_34_1730), 14074, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1730), 14075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14095, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14107, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14107, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1730), 14079, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14094, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14104, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14090, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14106, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14110, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14111, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14113, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14114, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14058, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14059, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1730), 14064, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14108, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1730(void)
{
	IDSC(desc_1730, 0, 1729);
	IDSC(desc_1730 + 1, 1, 1729);
	IDSC(desc_1730 + 32, 1134, 1729);
	IDSC(desc_1730 + 41, 1395, 1729);
	IDSC(desc_1730 + 43, 1060, 1729);
	IDSC(desc_1730 + 49, 1444, 1729);
	IDSC(desc_1730 + 58, 1570, 1729);
	IDSC(desc_1730 + 61, 1534, 1729);
	IDSC(desc_1730 + 68, 636, 1729);
	IDSC(desc_1730 + 82, 1245, 1729);
	IDSC(desc_1730 + 85, 1135, 1729);
	IDSC(desc_1730 + 94, 1422, 1729);
	IDSC(desc_1730 + 103, 878, 1729);
	IDSC(desc_1730 + 104, 586, 1729);
	IDSC(desc_1730 + 110, 1088, 1729);
	IDSC(desc_1730 + 112, 778, 1729);
	IDSC(desc_1730 + 113, 658, 1729);
	IDSC(desc_1730 + 114, 617, 1729);
	IDSC(desc_1730 + 116, 288, 1729);
	IDSC(desc_1730 + 131, 916, 1729);
	IDSC(desc_1730 + 137, 254, 1729);
	IDSC(desc_1730 + 140, 554, 1729);
	IDSC(desc_1730 + 141, 340, 1729);
	IDSC(desc_1730 + 149, 387, 1729);
	IDSC(desc_1730 + 151, 794, 1729);
}


#ifdef __cplusplus
}
#endif
